org.apache.ignite.ml.math.functions

## Interface IgniteFunction<T,R>

- All Superinterfaces:
    Function<T,R>, Serializable
  All Known Subinterfaces:
    IgniteCurriedBiFunction<A,B,T>, IgniteCurriedTriFunction<A,B,C,D>, IgniteDifferentiableVectorToDoubleFunction, PredictionsAggregator
  All Known Implementing Classes:
    MeanValuePredictionsAggregator, OnMajorityPredictionsAggregator, WeightedPredictionsAggregator

      public interface IgniteFunction<T,R>
      extends Function<T,R>, Serializable

  Serializable function.
  See Also:
    `Function`

- - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <V> IgniteFunction<T,V>` | `andThen(IgniteFunction<? super R,? extends V> after)` Compose this function and given function.
    `static <T,R> IgniteFunction<T,R>` | `constant(R r)` `IgniteFunction` returning specified constant.
    `static <T> IgniteFunction<T,T>` | `identity()` Identity function.

    - ### Methods inherited from interface java.util.function.Function

      `andThen, apply, compose`

- - ### Method Detail

    - #### constant

          static <T,R> IgniteFunction<T,R> constant(R r)

      `IgniteFunction` returning specified constant.
      Type Parameters:
        `T` - Type of input.
        `R` - Type of output.
      Parameters:
        `r` - Constant to return.
      Returns:
        `IgniteFunction` returning specified constant.

    - #### andThen

          default <V> IgniteFunction<T,V> andThen(IgniteFunction<? super R,? extends V> after)

      Compose this function and given function.
      Type Parameters:
        `V` - Type of value which result of `after` extends.
      Parameters:
        `after` - Function to compose with.
      Returns:
        Functions composition.

    - #### identity

          static <T> IgniteFunction<T,T> identity()

      Identity function.
      Specified by:
        `identity` in interface `Function<T,R>`
      Type Parameters:
        `T` - Type of input and output.
      Returns:
        Identity function.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020